package com.sa.ibiz.demo.demoapp.controller.demo.vo;

import java.sql.Timestamp;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDataActionSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.util.StringUtils;
import java.util.Map;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class UserRoleDataAction_SearchForm_Default{

    private Map<String,String> srfparentdata;

    private String n_userroledataactionname_like;
    private Page page;
    private Page getPage(){
        if(this.page==null)
            this.page=new Page(1,20,true);
        return this.page;
    }

    public  void fromUserRoleDataActionSearchFilter(UserRoleDataActionSearchFilter sourceSearchFilter)  {
        this.setN_userroledataactionname_like(sourceSearchFilter.getN_userroledataactionname_like());
        this.setPage(sourceSearchFilter.getPage());
	}
    public  UserRoleDataActionSearchFilter toUserRoleDataActionSearchFilter()  {
        UserRoleDataActionSearchFilter targetSearchFilter=new UserRoleDataActionSearchFilter();
        if(targetSearchFilter.getN_userroledataactionname_like()==null)
            targetSearchFilter.setN_userroledataactionname_like(this.getN_userroledataactionname_like());
        targetSearchFilter.setPage(this.getPage());
        return targetSearchFilter;
	}


}